//
// Whirling.cpp
// Whirling
//
// Created by Bob Polis at 2021-09-05
// Copyright (c) 2021 SwiftCoder. All rights reserved.
//

#include "Whirling.hpp"
#include <libscscreensaver.hpp>

class Whirling : public ScreensaverPlugin {
    public:
        Whirling() = default;
        ~Whirling() = default;

        int fps() const override;
        void update() override;
        void render() override;
};

ScreensaverPlugin* create_instance() {
    return new Whirling;
}

int Whirling::fps() const {
    return 30;
}

void Whirling::update() {
    // adjust state for next render

}

void Whirling::render() {
    // render one frame based on current state

}
